## hyx 2021.06.09

=== Makefile ===

all: CFLAGS ?= -O2 -Wl,-s \
               -Wl,-z,relro,-z,now -fpic -pie -D_FORTIFY_SOURCE=2 -fstack-protector-all
all: CFLAGS += -std=c99 -pedantic -Wall -Wextra -DNDEBUG
all: hyx

debug: CFLAGS ?= -O0 -g \
                 -fsanitize=undefined \
                 -Wl,-z,relro,-z,now -fpic -pie -fstack-protector-all
debug: CFLAGS += -std=c99 -pedantic -Wall -Wextra -Werror
debug: hyx

hyx: *.h *.c
	$(CC) \
		$(CFLAGS) \
		hyx.c common.c blob.c history.c view.c input.c \
		-o hyx

clean:
	rm -f hyx

=== debian/changelog ===
hyx (2021.06.09-1) unstable; urgency=low

  * Initial release. Closes: #1004832

 -- Russell Hernandez Ruiz <qrpnxz@hyperlife.xyz>  Sun, 30 Jan 2022 11:58:04 -0600

=== debian/control ===
Source: hyx
Section: editors
Priority: optional
Maintainer: Russell Hernandez Ruiz <qrpnxz@hyperlife.xyz>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://yx7.cc/code/
Vcs-Browser: https://salsa.debian.org/debian/hyx
Vcs-Git: https://salsa.debian.org/debian/hyx.git
Rules-Requires-Root: no

Package: hyx
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: minimalistic but powerful vim-like hex editor
 A minimalistic (< 2300 lines of C) vim-like hex editor.
 It can display ASCII with colors, insert/replace/delete,
 copy/paste, undo/redo, and search.

=== debian/watch ===
version=4
https://yx7.cc/code/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
